import { bridge } from '@/bridge';
import { PathType } from '@/shared/constants/paths';
import { useEffect } from 'react';
import { useNavigate } from '@/shared/lib/hooks';
import { NativeMessage } from '@/shared/constants/native-message';

export const useNativeNavigateListener = () => {
  const { navigate } = useNavigate();
  useEffect(() => {
    // Subscribe to events from react native.
    return bridge.addEventListener(NativeMessage.WebViewNavigate, (message: any) => {
      navigate(message.path as PathType);
    });
  }, []);
};
